function BarProfilerCreateProfile(BarProfilerDebugPrint, CreatePosition)
	DebugPrint ("Create Profile function start, CreatePosition is")
	DebugPrint (CreatePosition)
	local key
	local value
	if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[BarProfilerDebugPrint] ~= nil then
		BarProfiler:Print ("Error - That Profile name is already being used")
		BarProfilerGui:Release(BarProfilerMainFrame)
		BarProfilerGuiMain()
		return 1
	end
	if CreatePosition == nil then
		table.insert (BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, BarProfilerDebugPrint)
		BarProfiler:Print("Profile", BarProfilerDebugPrint, "created successfully")
	else
		table.insert (BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, CreatePosition, BarProfilerDebugPrint)
	end
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[BarProfilerDebugPrint] = 	{}
	for CreateSlotsLoop = 1, 120 do
		BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[BarProfilerDebugPrint][CreateSlotsLoop] = {}
	end
	BarProfilerGui:Release(BarProfilerMainFrame)
	BarProfilerGuiMain()
	DebugPrint ("Create Profile function Done")
end
function BarProfilerDeleteProfile(PrintCheck)
	DebugPrint ("Delete Profile Start")
	local DeleteName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[DeleteName] = nil	--WRONG
	table.remove(BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, BarProfilerDb.SelectedProfile)
	if PrintCheck == nil then
		BarProfiler:Print ("Profile", DeleteName, "deleted successfully")
	end
	BarProfilerGui:Release(BarProfilerMainFrame)
	BarProfilerGuiMain()
	DebugPrint ("DeleteProfile Done")
end
function BarProfilerRenameProfile(NewBarProfilerDebugPrint)
	DebugPrint("Rename Profile function Start")
	local CreatePosition = BarProfilerDb.SelectedProfile + 1
	local error = BarProfilerCreateProfile (NewBarProfilerDebugPrint, CreatePosition)
	if error == 1 then
		DebugPrint ("BarProfilerDebugPrint already taken, return to previous")
		BarProfilerGui:Release(BarProfilerMainFrame)
		BarProfilerGuiMain()
		return
	end
	local OldBarProfilerDebugPrint = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	DebugPrint("Old BarProfilerDebugPrint was")
	DebugPrint (OldBarProfilerDebugPrint)
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter][NewBarProfilerDebugPrint] = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter][OldBarProfilerDebugPrint]	--Transfer data from old to new
	BarProfilerDeleteProfile(1)
	DebugPrint("Rename Profile function Done")
	BarProfiler:Print ("Profile", OldBarProfilerDebugPrint, "renamed to", NewBarProfilerDebugPrint)
end